> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.neetoform.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete many forms

> Move many forms to the trash in one call. The call is all or nothing. If one ID is unknown or not allowed, no form is deleted. You can restore the forms from the trash in the app.

> [!NOTE]
>
> Replace `{your-subdomain}` with your workspace’s subdomain. \
> Learn how to find your subdomain in [Workspace subdomain](https://apidocs.neetoform.com/api/workspace-subdomain.md).


## OpenAPI

````yaml bundled/forms.yaml DELETE /forms/bulk_destroy
openapi: 3.0.3
info:
  title: NeetoForm APIs
  version: 2.0.0
servers:
  - description: NeetoForm APIs
    url: https://{your-subdomain}.neetoform.com/api/external/v2
    variables:
      your-subdomain:
        default: spinkart
        description: >-
          Replace **spinkart** with your [workspace's
          subdomain](/api/workspace-subdomain).
security: []
paths:
  /forms/bulk_destroy:
    delete:
      tags:
        - Forms
      summary: Delete many forms
      description: >-
        Move many forms to the trash in one call. The call is all or nothing. If
        one ID is unknown or not allowed, no form is deleted. You can restore
        the forms from the trash in the app.
      parameters:
        - $ref: '#/components/parameters/api_key_header'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - ids
              properties:
                ids:
                  $ref: '#/components/schemas/ids_body_property'
      responses:
        '200':
          description: OK - Forms moved to the trash
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/form_ids_response'
              example:
                form_ids:
                  - 6f1c2a9e-3b6d-4d8e-9a51-2f0c7d4e8b10
                  - 0b8e47d2-5c19-4f63-a7d0-91e2b3c4d5f6
        '400':
          description: Bad Request - `ids` is missing
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error_response'
              example:
                error: 'param is missing or the value is empty or invalid: ids'
        '404':
          description: Not Found - The form does not exist
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error_response'
              example:
                error: Form does not exist.
components:
  parameters:
    api_key_header:
      in: header
      name: X-Api-Key
      description: >-
        Use the X-Api-Key header to provide your workspace API key. Refer to
        [Authentication](/api/authentication) for more information.
      required: true
      schema:
        type: string
        default: your-api-key
  schemas:
    ids_body_property:
      type: array
      description: IDs of the forms.
      items:
        type: string
      example:
        - 6f1c2a9e-3b6d-4d8e-9a51-2f0c7d4e8b10
    form_ids_response:
      type: object
      properties:
        form_ids:
          type: array
          items:
            type: string
    error_response:
      type: object
      properties:
        error:
          type: string

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.